com.mysql.cj.conf

## Interface ConnectionPropertiesTransform

    public interface ConnectionPropertiesTransform

Implement this interface, and pass the class name as the 'propertiesTransform' property in your URL, and the driver will pass the properties it has parsed to your transform implementation so that you can modify/substitute/add any that you desire.

### Method Summary

All Methods Instance Methods Abstract Methods
`Properties` `transformProperties(Properties props)` The driver will call this method if the user has loaded your implementation of this interface by specifying the 'propertiesTransform' property in their URL.

### Method Detail

#### transformProperties

    Properties transformProperties(Properties props)

The driver will call this method if the user has loaded your implementation of this interface by specifying the 'propertiesTransform' property in their URL.

Parameters:
  `props` - the properties as passed by the driver (never null)
Returns:
  the same properties with any transformations that your implementation has made

Copyright © 2016, 2026, Oracle and/or its affiliates.